## draco 1.5.0+dfsg

=== CMakeLists.txt ===
# Copyright 2021 The Draco Authors
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

cmake_minimum_required(VERSION 3.12 FATAL_ERROR)

# Draco requires modern compiler support.
set(CMAKE_C_STANDARD 99)
set(CMAKE_CXX_STANDARD 11)
project(draco C CXX)

if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

set(draco_root "${CMAKE_CURRENT_SOURCE_DIR}")
set(draco_src_root "${draco_root}/src/draco")
set(draco_build "${CMAKE_BINARY_DIR}")

if("${draco_root}" STREQUAL "${draco_build}")
  message(
    FATAL_ERROR "Building from within the Draco source tree is not supported.\n"
                "Hint: Run these commands\n"
                "$ rm -rf CMakeCache.txt CMakeFiles\n"
                "$ mkdir -p ../draco_build\n" "$ cd ../draco_build\n"
                "And re-run CMake from the draco_build directory.")
endif()

include(FindPythonInterp)
include("${draco_root}/cmake/draco_build_definitions.cmake")
include("${draco_root}/cmake/draco_cpu_detection.cmake")
include("${draco_root}/cmake/draco_emscripten.cmake")
include("${draco_root}/cmake/draco_flags.cmake")
include("${draco_root}/cmake/draco_helpers.cmake")
include("${draco_root}/cmake/draco_install.cmake")
include("${draco_root}/cmake/draco_intrinsics.cmake")
include("${draco_root}/cmake/draco_options.cmake")
include("${draco_root}/cmake/draco_sanitizer.cmake")
include("${draco_root}/cmake/draco_targets.cmake")
include("${draco_root}/cmake/draco_tests.cmake")
include("${draco_root}/cmake/draco_variables.cmake")

# C++ and linker flags.
draco_track_configuration_variable(DRACO_CXX_FLAGS)
draco_track_configuration_variable(DRACO_EXE_LINKER_FLAGS)

# Sanitizer integration.
draco_track_configuration_variable(DRACO_SANITIZE)

# Generated source file directory.
draco_track_configuration_variable(DRACO_GENERATED_SOURCES_DIRECTORY)

# Controls use of std::mutex and absl::Mutex in ThreadPool.
draco_track_configuration_variable(DRACO_THREADPOOL_USE_STD_MUTEX)

if(DRACO_VERBOSE)
  draco_dump_cmake_flag_variables()
  draco_dump_tracked_configuration_variables()
  draco_dump_options()
endif()

# Compiler/linker flags must be lists, but come in from the environment as
# strings. Break them up:
if(NOT "${DRACO_CXX_FLAGS}" STREQUAL "")
  separate_arguments(DRACO_CXX_FLAGS)
endif()
if(NOT "${DRACO_EXE_LINKER_FLAGS}" STREQUAL "")
  separate_arguments(DRACO_EXE_LINKER_FLAGS)
endif()

draco_reset_target_lists()
draco_setup_options()
draco_set_build_definitions()
draco_set_cxx_flags()
draco_set_exe_linker_flags()
draco_generate_features_h()

# Draco source file listing variables.
list(APPEND draco_attributes_sources
            "${draco_src_root}/attributes/attribute_octahedron_transform.cc"
            "${draco_src_root}/attributes/attribute_octahedron_transform.h"
            "${draco_src_root}/attributes/attribute_quantization_transform.cc"
            "${draco_src_root}/attributes/attribute_quantization_transform.h"
            "${draco_src_root}/attributes/attribute_transform.cc"
            "${draco_src_root}/attributes/attribute_transform.h"
            "${draco_src_root}/attributes/attribute_transform_data.h"
            "${draco_src_root}/attributes/attribute_transform_type.h"
            "${draco_src_root}/attributes/geometry_attribute.cc"
            "${draco_src_root}/attributes/geometry_attribute.h"
            "${draco_src_root}/attributes/geometry_indices.h"
            "${draco_src_root}/attributes/point_attribute.cc"
            "${draco_src_root}/attributes/point_attribute.h")

list(
  APPEND
    draco_compression_attributes_dec_sources
    "${draco_src_root}/compression/attributes/attributes_decoder.cc"
    "${draco_src_root}/compression/attributes/attributes_decoder.h"
    "${draco_src_root}/compression/attributes/kd_tree_attributes_decoder.cc"
    "${draco_src_root}/compression/attributes/kd_tree_attributes_decoder.h"
    "${draco_src_root}/compression/attributes/kd_tree_attributes_shared.h"
    "${draco_src_root}/compression/attributes/mesh_attribute_indices_encoding_data.h"
    "${draco_src_root}/compression/attributes/normal_compression_utils.h"
    "${draco_src_root}/compression/attributes/point_d_vector.h"
    "${draco_src_root}/compression/attributes/sequential_attribute_decoder.cc"
    "${draco_src_root}/compression/attributes/sequential_attribute_decoder.h"
    "${draco_src_root}/compression/attributes/sequential_attribute_decoders_controller.cc"
    "${draco_src_root}/compression/attributes/sequential_attribute_decoders_controller.h"
    "${draco_src_root}/compression/attributes/sequential_integer_attribute_decoder.cc"
    "${draco_src_root}/compression/attributes/sequential_integer_attribute_decoder.h"
    "${draco_src_root}/compression/attributes/sequential_normal_attribute_decoder.cc"
    "${draco_src_root}/compression/attributes/sequential_normal_attribute_decoder.h"
    "${draco_src_root}/compression/attributes/sequential_quantization_attribute_decoder.cc"
    "${draco_src_root}/compression/attributes/sequential_quantization_attribute_decoder.h"
  )

list(
  APPEND
    draco_compression_attributes_enc_sources
    "${draco_src_root}/compression/attributes/attributes_encoder.cc"
    "${draco_src_root}/compression/attributes/attributes_encoder.h"
    "${draco_src_root}/compression/attributes/kd_tree_attributes_encoder.cc"
    "${draco_src_root}/compression/attributes/kd_tree_attributes_encoder.h"
    "${draco_src_root}/compression/attributes/linear_sequencer.h"
    "${draco_src_root}/compression/attributes/points_sequencer.h"
    "${draco_src_root}/compression/attributes/sequential_attribute_encoder.cc"
    "${draco_src_root}/compression/attributes/sequential_attribute_encoder.h"
    "${draco_src_root}/compression/attributes/sequential_attribute_encoders_controller.cc"
    "${draco_src_root}/compression/attributes/sequential_attribute_encoders_controller.h"
    "${draco_src_root}/compression/attributes/sequential_integer_attribute_encoder.cc"
    "${draco_src_root}/compression/attributes/sequential_integer_attribute_encoder.h"
    "${draco_src_root}/compression/attributes/sequential_normal_attribute_encoder.cc"
    "${draco_src_root}/compression/attributes/sequential_normal_attribute_encoder.h"
    "${draco_src_root}/compression/attributes/sequential_quantization_attribute_encoder.cc"
    "${draco_src_root}/compression/attributes/sequential_quantization_attribute_encoder.h"
  )


list(
  APPEND
    draco_compression_attributes_pred_schemes_dec_sources
    "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_constrained_multi_parallelogram_decoder.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_constrained_multi_parallelogram_shared.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_data.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_decoder.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_geometric_normal_decoder.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_geometric_normal_predictor_area.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_geometric_normal_predictor_base.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_multi_parallelogram_decoder.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_parallelogram_encoder.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_parallelogram_shared.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_tex_coords_decoder.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_tex_coords_portable_decoder.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_tex_coords_portable_predictor.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_decoder.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_decoder_factory.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_decoder_interface.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_decoding_transform.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_delta_decoder.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_factory.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_interface.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_normal_octahedron_canonicalized_decoding_transform.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_normal_octahedron_canonicalized_transform_base.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_normal_octahedron_decoding_transform.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_normal_octahedron_transform_base.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_wrap_decoding_transform.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_wrap_transform_base.h"
  )

list(
  APPEND
    draco_compression_attributes_pred_schemes_enc_sources
    "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_constrained_multi_parallelogram_encoder.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_constrained_multi_parallelogram_shared.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_data.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_encoder.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_geometric_normal_encoder.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_geometric_normal_predictor_area.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_geometric_normal_predictor_base.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_multi_parallelogram_encoder.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_parallelogram_encoder.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_parallelogram_shared.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_tex_coords_encoder.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_tex_coords_portable_encoder.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_tex_coords_portable_predictor.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_delta_encoder.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_encoder.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_encoder_factory.cc"
    "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_encoder_factory.h"
    "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_encoder_interface.h"

## draco 1.4.1+dfsg

=== debian/changelog ===
draco (1.4.1+dfsg-3) unstable; urgency=medium

  * Fix FTBFS on sh4
  * Fix keyword error in d/watch
  * Fix FTBFS on Ubuntu ppc64el and s390x

 -- Timo Röhling <timo@gaussglocke.de>  Mon, 04 Jan 2021 22:11:41 +0100

draco (1.4.1+dfsg-2) unstable; urgency=medium

  * Fix missing symbol on some 64 bit architectures

 -- Timo Röhling <timo@gaussglocke.de>  Fri, 25 Dec 2020 14:54:39 +0100

draco (1.4.1+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #977128)

 -- Timo Röhling <timo@gaussglocke.de>  Sun, 13 Dec 2020 20:27:30 +0100

=== debian/control ===
Source: draco
Section: libs
Priority: optional
Maintainer: Timo Röhling <timo@gaussglocke.de>
Build-Depends: debhelper-compat (= 13), cmake, googletest
Homepage: https://github.com/google/draco
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/roehling/draco.git
Vcs-Browser: https://salsa.debian.org/roehling/draco

Package: draco
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Encoder and decoder for 3D geometric meshes and point clouds
 Draco is a library for compressing and decompressing 3D geometric meshes
 and point clouds. It is intended to improve the storage and transmission
 of 3D graphics.
 .
 Draco is designed and built for compression efficiency and speed. The code
 supports compressing points, connectivity information, texture coordinates,
 color information, normals, and any other generic attributes associated with
 geometry. With Draco, applications using 3D graphics can be significantly
 smaller without compromising visual fidelity. For users, this means apps can
 now be downloaded faster, 3D graphics in the browser can load quicker, and VR
 and AR scenes can now be transmitted with a fraction of the bandwidth and
 rendered quickly.
 .
 This package provides command line tools to compress and decompress files
 using Draco.

Package: libdraco1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library for compressing 3D geometric meshes and point clouds
 Draco is a library for compressing and decompressing 3D geometric meshes
 and point clouds. It is intended to improve the storage and transmission
 of 3D graphics.
 .
 Draco is designed and built for compression efficiency and speed. The code
 supports compressing points, connectivity information, texture coordinates,
 color information, normals, and any other generic attributes associated with
 geometry. With Draco, applications using 3D graphics can be significantly
 smaller without compromising visual fidelity. For users, this means apps can
 now be downloaded faster, 3D graphics in the browser can load quicker, and VR
 and AR scenes can now be transmitted with a fraction of the bandwidth and
 rendered quickly.

Package: libdraco-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libdraco1 (= ${binary:Version}), ${misc:Depends}
Description: Library for compressing 3D geometric meshes and point clouds (headers)
 Draco is a library for compressing and decompressing 3D geometric meshes
 and point clouds. It is intended to improve the storage and transmission
 of 3D graphics.
 .
 Draco is designed and built for compression efficiency and speed. The code
 supports compressing points, connectivity information, texture coordinates,
 color information, normals, and any other generic attributes associated with
 geometry. With Draco, applications using 3D graphics can be significantly
 smaller without compromising visual fidelity. For users, this means apps can
 now be downloaded faster, 3D graphics in the browser can load quicker, and VR
 and AR scenes can now be transmitted with a fraction of the bandwidth and
 rendered quickly.
 .
 This package provides the development headers for the library.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=+all future=+lfs
export DEB_CXXFLAGS_MAINT_APPEND = -fvisibility-inlines-hidden

#BUILD_TESTS = $(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),OFF,ON)
# Unit tests are currently broken
BUILD_TESTS = OFF

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure --buildsystem=cmake -- \
		-DBUILD_SHARED_LIBS=ON \
		-DDRACO_ANIMATION_ENCODING=ON \
		-DDRACO_DECODER_ATTRIBUTE_DEDUPLICATION=ON \
		-DDRACO_GLTF=ON \
		-DDRACO_JS_GLUE=OFF \
		-DDRACO_MAYA_PLUGIN=OFF \
		-DDRACO_MESH_COMPRESSION=ON \
		-DDRACO_POINT_CLOUD_COMPRESSION=ON \
		-DDRACO_TESTS=$(BUILD_TESTS) \
		-DDRACO_UNITY_PLUGIN=OFF \
		-DDRACO_VERBOSE=ON \
		-DDRACO_WASM=OFF \
		-DCMAKE_SKIP_RPATH=ON

## draco 1.5.0%2Bdfsg

=== debian/changelog ===
draco (1.5.0+dfsg-6) unstable; urgency=medium

  * add adapt-to-c++17-filesystem-error patch.

 -- LiChengGang <lichenggang@uniontech.com>  Thu, 10 Feb 2022 10:18:07 +0800

draco (1.5.0+dfsg-5) unstable; urgency=medium

  * Do not fail if find_package() is called twice (LP: #1958432)

 -- Timo Röhling <roehling@debian.org>  Wed, 19 Jan 2022 19:51:42 +0100

draco (1.5.0+dfsg-4) unstable; urgency=medium

  * Release to unstable.
  * Update autopkgtest

 -- Timo Röhling <roehling@debian.org>  Sat, 18 Dec 2021 01:17:57 +0100

draco (1.5.0+dfsg-3) experimental; urgency=medium

  * Provide DRACO_LIBRARIES variable for backwards compatibility
  * Draco needs at least Eigen 3.4

 -- Timo Röhling <roehling@debian.org>  Fri, 17 Dec 2021 23:25:03 +0100

draco (1.5.0+dfsg-2) experimental; urgency=medium

  * Export backwards-compatible CMake targets
  * Add superficial autopkgtest
  * Install missing headers
  * Install draco_transcoder
  * Update manual pages

 -- Timo Röhling <roehling@debian.org>  Wed, 15 Dec 2021 21:46:25 +0100

draco (1.5.0+dfsg-1) experimental; urgency=medium

  * New upstream version 1.5.0+dfsg
  * Bump SOVERSION to 3
  * Use DRACO_ default build options
  * Enable DRACO_TRANSCODER_SUPPORTED

 -- Timo Röhling <roehling@debian.org>  Sat, 11 Dec 2021 14:17:55 +0100

draco (1.4.3+dfsg-3) unstable; urgency=medium

  * Refresh symbols for s390x.
    Thanks to Gianfranco Costamagna (Closes: #998807)

 -- Timo Röhling <roehling@debian.org>  Mon, 08 Nov 2021 21:55:54 +0100

draco (1.4.3+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Thu, 28 Oct 2021 22:58:50 +0200

draco (1.4.3+dfsg-1) experimental; urgency=medium

  * New upstream version 1.4.3+dfsg
  * Update patches
    - Drop Fix-FTBFS-with-GCC-11.patch (applied upstream)
  * Bump SONAME to 1a
  * Bump Standards-Version to 4.6.0 (no change)

 -- Timo Röhling <roehling@debian.org>  Sat, 16 Oct 2021 19:57:28 +0200

draco (1.4.1+dfsg-4) unstable; urgency=medium

  * Fix FTBFS with GCC-11 (Closes: #984035)
  * Update maintainer email address

 -- Timo Röhling <roehling@debian.org>  Mon, 16 Aug 2021 20:55:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,17 @@
 Source: draco
 Section: libs
 Priority: optional
-Maintainer: Timo Röhling <timo@gaussglocke.de>
-Build-Depends: debhelper-compat (= 13), cmake, googletest
+Maintainer: Timo Röhling <roehling@debian.org>
+Build-Depends:
+  cmake,
+  debhelper-compat (= 13),
+  googletest,
+  nlohmann-json3-dev,
+  libeigen3-dev (>= 3.4),
+  libstb-dev,
+  libtinygltf-dev,
 Homepage: https://github.com/google/draco
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/roehling/draco.git
 Vcs-Browser: https://salsa.debian.org/roehling/draco
@@ -30,7 +37,7 @@
  This package provides command line tools to compress and decompress files
  using Draco.
 
-Package: libdraco1
+Package: libdraco3
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -52,7 +59,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libdraco1 (= ${binary:Version}), ${misc:Depends}
+Depends: libdraco3 (= ${binary:Version}), ${misc:Depends}
 Description: Library for compressing 3D geometric meshes and point clouds (headers)
  Draco is a library for compressing and decompressing 3D geometric meshes
  and point clouds. It is intended to improve the storage and transmission

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=+all future=+lfs
export DEB_CXXFLAGS_MAINT_APPEND = -fvisibility-inlines-hidden

#BUILD_TESTS = $(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),OFF,ON)
# Unit tests are currently broken
BUILD_TESTS = OFF

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure --buildsystem=cmake -- \
		-DBUILD_SHARED_LIBS=ON \
		-DDRACO_TESTS=$(BUILD_TESTS) \
		-DDRACO_VERBOSE=3 \
		-DDRACO_TRANSCODER_SUPPORTED=ON \
		-DCMAKE_SKIP_RPATH=ON

execute_after_dh_auto_install:
	mv debian/tmp/usr/bin/draco_encoder-* debian/tmp/usr/bin/draco_encoder
	mv debian/tmp/usr/bin/draco_decoder-* debian/tmp/usr/bin/draco_decoder
	mv debian/tmp/usr/bin/draco_transcoder-* debian/tmp/usr/bin/draco_transcoder

## draco 1.5.0+dfsg

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/@PACKAGE@-$1.tar.gz/,\
     dversionmangle=s/\+dfsg\d*$//,oversionmangle=s/$/+dfsg/,\
     repack \
https://github.com/google/draco/releases/latest .*/v?(\d\S+)\.tar\.gz

## draco 1.5.2+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -39,6 +39,7 @@
 include(FindPythonInterp)
 include("${draco_root}/cmake/draco_build_definitions.cmake")
 include("${draco_root}/cmake/draco_cpu_detection.cmake")
+include("${draco_root}/cmake/draco_dependencies.cmake")
 include("${draco_root}/cmake/draco_emscripten.cmake")
 include("${draco_root}/cmake/draco_flags.cmake")
 include("${draco_root}/cmake/draco_helpers.cmake")
@@ -197,4 +198,3 @@
     "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_encoder.h"
     "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_encoder_factory.cc"
     "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_encoder_factory.h"
-    "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_encoder_interface.h"

=== src/draco/tools/install_test/CMakeLists.txt ===
# Copyright 2022 The Draco Authors
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

cmake_minimum_required(VERSION 3.12 FATAL_ERROR)

set(CMAKE_C_STANDARD 99)
set(CMAKE_CXX_STANDARD 11)
project(install_test C CXX)

include(GNUInstallDirs)

# Tell find_package() where Draco is installed.
if(BUILD_SHARED_LIBS)
  set(CMAKE_PREFIX_PATH
      "${CMAKE_CURRENT_LIST_DIR}/_draco_install_shared/share/cmake")
else()
  set(CMAKE_PREFIX_PATH
      "${CMAKE_CURRENT_LIST_DIR}/_draco_install_static/share/cmake")
endif()

find_package(draco REQUIRED)

if(BUILD_SHARED_LIBS)
  # Add rpath to resolve dylib dependency on Linux/MacOS.
  list(APPEND CMAKE_BUILD_RPATH "${DRACO_LIBRARY_DIR}")
  list(APPEND CMAKE_INSTALL_RPATH "${DRACO_LIBRARY_DIR}")
endif()

list(APPEND install_test_sources "main.cc")
add_executable(install_check ${install_test_sources})

# Update include paths and dependencies to allow for successful build of the
# install_check target using Draco as configured for the current installation.
target_include_directories(install_check PUBLIC "${DRACO_INCLUDE_DIR}")
target_link_libraries(install_check "${DRACO_LIBRARY}")

install(TARGETS install_check DESTINATION "${CMAKE_INSTALL_FULL_BINDIR}")

if(BUILD_SHARED_LIBS AND WIN32)
  # Copy the Draco DLL into the bin dir for Windows: Windows does not really
  # have a concept of rpath, but it does look in the current directory by
  # default when a program tries to load a DLL.
  install(FILES "${DRACO_LIBRARY_DLL}"
          DESTINATION "${CMAKE_INSTALL_FULL_BINDIR}")
endif()

=== debian/changelog ===
draco (1.5.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Sat, 19 Feb 2022 19:49:32 +0100

draco (1.5.2+dfsg-1) experimental; urgency=medium

  * New upstream version 1.5.2+dfsg
  * SOVERSION bump to 4

 -- Timo Röhling <roehling@debian.org>  Fri, 18 Feb 2022 01:14:00 +0100

=== debian/control ===
--- 
+++ 
@@ -37,7 +37,7 @@
  This package provides command line tools to compress and decompress files
  using Draco.
 
-Package: libdraco3
+Package: libdraco4
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -59,7 +59,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libdraco3 (= ${binary:Version}), ${misc:Depends}
+Depends: libdraco4 (= ${binary:Version}), ${misc:Depends}
 Description: Library for compressing 3D geometric meshes and point clouds (headers)
  Draco is a library for compressing and decompressing 3D geometric meshes
  and point clouds. It is intended to improve the storage and transmission

## draco 1.5.3+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,10 +13,6 @@
 # limitations under the License.
 
 cmake_minimum_required(VERSION 3.12 FATAL_ERROR)
-
-# Draco requires modern compiler support.
-set(CMAKE_C_STANDARD 99)
-set(CMAKE_CXX_STANDARD 11)
 project(draco C CXX)
 
 if(NOT CMAKE_BUILD_TYPE)
@@ -198,3 +194,4 @@
     "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_encoder.h"
     "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_encoder_factory.cc"
     "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_encoder_factory.h"
+    "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_encoder_interface.h"

=== src/draco/tools/install_test/CMakeLists.txt ===
# Copyright 2022 The Draco Authors
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

cmake_minimum_required(VERSION 3.12)
project(install_test C CXX)

include(GNUInstallDirs)

find_package(draco REQUIRED CONFIG)

add_executable(install_check main.cc)
target_link_libraries(install_check PRIVATE draco::draco)

install(TARGETS install_check DESTINATION ${CMAKE_INSTALL_BINDIR})

=== debian/changelog ===
draco (1.5.3+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * Set DRACO_LIBRARIES for backwards compatibility

 -- Timo Röhling <roehling@debian.org>  Sun, 28 Aug 2022 20:18:42 +0200

draco (1.5.3+dfsg-1) experimental; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start
    continuation lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

  [ Timo Röhling ]
  * New upstream version 1.5.3+dfsg
  * Bump SONAME to 5
  * Bump Standards-Version to 4.6.1

 -- Timo Röhling <roehling@debian.org>  Sat, 09 Jul 2022 22:04:00 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
   libstb-dev,
   libtinygltf-dev,
 Homepage: https://github.com/google/draco
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/roehling/draco.git
 Vcs-Browser: https://salsa.debian.org/roehling/draco
@@ -37,7 +37,7 @@
  This package provides command line tools to compress and decompress files
  using Draco.
 
-Package: libdraco4
+Package: libdraco5
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -59,7 +59,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libdraco4 (= ${binary:Version}), ${misc:Depends}
+Depends: libdraco5 (= ${binary:Version}), ${misc:Depends}
 Description: Library for compressing 3D geometric meshes and point clouds (headers)
  Draco is a library for compressing and decompressing 3D geometric meshes
  and point clouds. It is intended to improve the storage and transmission

## draco 1.5.5+dfsg

=== CMakeLists.txt ===
# Copyright 2021 The Draco Authors
#
# Licensed under the Apache License, Version 2.0 (the "License"); you may not
# use this file except in compliance with the License. You may obtain a copy of
# the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
# License for the specific language governing permissions and limitations under
# the License.

cmake_minimum_required(VERSION 3.12 FATAL_ERROR)
project(draco C CXX)

if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

set(draco_root "${CMAKE_CURRENT_SOURCE_DIR}")
set(draco_src_root "${draco_root}/src/draco")
set(draco_build "${CMAKE_BINARY_DIR}")

if("${draco_root}" STREQUAL "${draco_build}")
  message(
    FATAL_ERROR
      "Building from within the Draco source tree is not supported.\n"
      "Hint: Run these commands\n"
      "$ rm -rf CMakeCache.txt CMakeFiles\n"
      "$ mkdir -p ../draco_build\n"
      "$ cd ../draco_build\n"
      "And re-run CMake from the draco_build directory.")
endif()

include(FindPythonInterp)
include("${draco_root}/cmake/draco_build_definitions.cmake")
include("${draco_root}/cmake/draco_cpu_detection.cmake")
include("${draco_root}/cmake/draco_dependencies.cmake")
include("${draco_root}/cmake/draco_emscripten.cmake")
include("${draco_root}/cmake/draco_flags.cmake")
include("${draco_root}/cmake/draco_helpers.cmake")
include("${draco_root}/cmake/draco_install.cmake")
include("${draco_root}/cmake/draco_intrinsics.cmake")
include("${draco_root}/cmake/draco_options.cmake")
include("${draco_root}/cmake/draco_sanitizer.cmake")
include("${draco_root}/cmake/draco_targets.cmake")
include("${draco_root}/cmake/draco_tests.cmake")
include("${draco_root}/cmake/draco_variables.cmake")

# C++ and linker flags.
draco_track_configuration_variable(DRACO_CXX_FLAGS)
draco_track_configuration_variable(DRACO_EXE_LINKER_FLAGS)

# Sanitizer integration.
draco_track_configuration_variable(DRACO_SANITIZE)

# Generated source file directory.
draco_track_configuration_variable(DRACO_GENERATED_SOURCES_DIRECTORY)

# Controls use of std::mutex and absl::Mutex in ThreadPool.
draco_track_configuration_variable(DRACO_THREADPOOL_USE_STD_MUTEX)

if(DRACO_VERBOSE)
  draco_dump_cmake_flag_variables()
  draco_dump_tracked_configuration_variables()
  draco_dump_options()
endif()

# Compiler/linker flags must be lists, but come in from the environment as
# strings. Break them up:
if(NOT "${DRACO_CXX_FLAGS}" STREQUAL "")
  separate_arguments(DRACO_CXX_FLAGS)
endif()
if(NOT "${DRACO_EXE_LINKER_FLAGS}" STREQUAL "")
  separate_arguments(DRACO_EXE_LINKER_FLAGS)
endif()

draco_reset_target_lists()
draco_setup_options()
draco_set_build_definitions()
draco_set_cxx_flags()
draco_set_exe_linker_flags()
draco_generate_features_h()

# Draco source file listing variables.
list(
  APPEND
  draco_attributes_sources
  "${draco_src_root}/attributes/attribute_octahedron_transform.cc"
  "${draco_src_root}/attributes/attribute_octahedron_transform.h"
  "${draco_src_root}/attributes/attribute_quantization_transform.cc"
  "${draco_src_root}/attributes/attribute_quantization_transform.h"
  "${draco_src_root}/attributes/attribute_transform.cc"
  "${draco_src_root}/attributes/attribute_transform.h"
  "${draco_src_root}/attributes/attribute_transform_data.h"
  "${draco_src_root}/attributes/attribute_transform_type.h"
  "${draco_src_root}/attributes/geometry_attribute.cc"
  "${draco_src_root}/attributes/geometry_attribute.h"
  "${draco_src_root}/attributes/geometry_indices.h"
  "${draco_src_root}/attributes/point_attribute.cc"
  "${draco_src_root}/attributes/point_attribute.h")

list(
  APPEND
  draco_compression_attributes_dec_sources
  "${draco_src_root}/compression/attributes/attributes_decoder.cc"
  "${draco_src_root}/compression/attributes/attributes_decoder.h"
  "${draco_src_root}/compression/attributes/attributes_decoder_interface.h"
  "${draco_src_root}/compression/attributes/kd_tree_attributes_decoder.cc"
  "${draco_src_root}/compression/attributes/kd_tree_attributes_decoder.h"
  "${draco_src_root}/compression/attributes/kd_tree_attributes_shared.h"
  "${draco_src_root}/compression/attributes/mesh_attribute_indices_encoding_data.h"
  "${draco_src_root}/compression/attributes/normal_compression_utils.h"
  "${draco_src_root}/compression/attributes/point_d_vector.h"
  "${draco_src_root}/compression/attributes/sequential_attribute_decoder.cc"
  "${draco_src_root}/compression/attributes/sequential_attribute_decoder.h"
  "${draco_src_root}/compression/attributes/sequential_attribute_decoders_controller.cc"
  "${draco_src_root}/compression/attributes/sequential_attribute_decoders_controller.h"
  "${draco_src_root}/compression/attributes/sequential_integer_attribute_decoder.cc"
  "${draco_src_root}/compression/attributes/sequential_integer_attribute_decoder.h"
  "${draco_src_root}/compression/attributes/sequential_normal_attribute_decoder.cc"
  "${draco_src_root}/compression/attributes/sequential_normal_attribute_decoder.h"
  "${draco_src_root}/compression/attributes/sequential_quantization_attribute_decoder.cc"
  "${draco_src_root}/compression/attributes/sequential_quantization_attribute_decoder.h"
)

list(
  APPEND
  draco_compression_attributes_enc_sources
  "${draco_src_root}/compression/attributes/attributes_encoder.cc"
  "${draco_src_root}/compression/attributes/attributes_encoder.h"
  "${draco_src_root}/compression/attributes/kd_tree_attributes_encoder.cc"
  "${draco_src_root}/compression/attributes/kd_tree_attributes_encoder.h"
  "${draco_src_root}/compression/attributes/linear_sequencer.h"
  "${draco_src_root}/compression/attributes/points_sequencer.h"
  "${draco_src_root}/compression/attributes/sequential_attribute_encoder.cc"
  "${draco_src_root}/compression/attributes/sequential_attribute_encoder.h"
  "${draco_src_root}/compression/attributes/sequential_attribute_encoders_controller.cc"
  "${draco_src_root}/compression/attributes/sequential_attribute_encoders_controller.h"
  "${draco_src_root}/compression/attributes/sequential_integer_attribute_encoder.cc"
  "${draco_src_root}/compression/attributes/sequential_integer_attribute_encoder.h"
  "${draco_src_root}/compression/attributes/sequential_normal_attribute_encoder.cc"
  "${draco_src_root}/compression/attributes/sequential_normal_attribute_encoder.h"
  "${draco_src_root}/compression/attributes/sequential_quantization_attribute_encoder.cc"
  "${draco_src_root}/compression/attributes/sequential_quantization_attribute_encoder.h"
)


list(
  APPEND
  draco_compression_attributes_pred_schemes_dec_sources
  "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_constrained_multi_parallelogram_decoder.h"
  "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_constrained_multi_parallelogram_shared.h"
  "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_data.h"
  "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_decoder.h"
  "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_geometric_normal_decoder.h"
  "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_geometric_normal_predictor_area.h"
  "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_geometric_normal_predictor_base.h"
  "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_multi_parallelogram_decoder.h"
  "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_parallelogram_encoder.h"
  "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_parallelogram_shared.h"
  "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_tex_coords_decoder.h"
  "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_tex_coords_portable_decoder.h"
  "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_tex_coords_portable_predictor.h"
  "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_decoder.h"
  "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_decoder_factory.h"
  "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_decoder_interface.h"
  "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_decoding_transform.h"
  "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_delta_decoder.h"
  "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_factory.h"
  "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_interface.h"
  "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_normal_octahedron_canonicalized_decoding_transform.h"
  "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_normal_octahedron_canonicalized_transform_base.h"
  "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_normal_octahedron_decoding_transform.h"
  "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_normal_octahedron_transform_base.h"
  "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_wrap_decoding_transform.h"
  "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_wrap_transform_base.h"
)

list(
  APPEND
  draco_compression_attributes_pred_schemes_enc_sources
  "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_constrained_multi_parallelogram_encoder.h"
  "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_constrained_multi_parallelogram_shared.h"
  "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_data.h"
  "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_encoder.h"
  "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_geometric_normal_encoder.h"
  "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_geometric_normal_predictor_area.h"
  "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_geometric_normal_predictor_base.h"
  "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_multi_parallelogram_encoder.h"
  "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_parallelogram_encoder.h"
  "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_parallelogram_shared.h"
  "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_tex_coords_encoder.h"
  "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_tex_coords_portable_encoder.h"
  "${draco_src_root}/compression/attributes/prediction_schemes/mesh_prediction_scheme_tex_coords_portable_predictor.h"
  "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_delta_encoder.h"
  "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_encoder.h"
  "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_encoder_factory.cc"
  "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_encoder_factory.h"
  "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_encoder_interface.h"
  "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_encoding_transform.h"
  "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_factory.h"
  "${draco_src_root}/compression/attributes/prediction_schemes/prediction_scheme_interface.h"

=== debian/changelog ===
draco (1.5.5+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Thu, 03 Nov 2022 23:31:51 +0100

draco (1.5.5+dfsg-1) experimental; urgency=medium

  * Update d/watch
  * New upstream version 1.5.5+dfsg
  * SOVERSION bump to 7

 -- Timo Röhling <roehling@debian.org>  Mon, 31 Oct 2022 21:25:09 +0100

=== debian/control ===
Source: draco
Section: libs
Priority: optional
Maintainer: Timo Röhling <roehling@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 googletest,
 libeigen3-dev (>= 3.4),
 libstb-dev,
 libtinygltf-dev,
 nlohmann-json3-dev,
Homepage: https://github.com/google/draco
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/roehling/draco.git
Vcs-Browser: https://salsa.debian.org/roehling/draco
Description: Library for compressing 3D geometric meshes and point clouds
 Draco is a library for compressing and decompressing 3D geometric meshes
 and point clouds. It is intended to improve the storage and transmission
 of 3D graphics.
 .
 Draco is designed and built for compression efficiency and speed. The code
 supports compressing points, connectivity information, texture coordinates,
 color information, normals, and any other generic attributes associated with
 geometry. With Draco, applications using 3D graphics can be significantly
 smaller without compromising visual fidelity. For users, this means apps can
 now be downloaded faster, 3D graphics in the browser can load quicker, and VR
 and AR scenes can now be transmitted with a fraction of the bandwidth and
 rendered quickly.


Package: draco
Section: graphics
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Encoder and decoder for 3D geometric meshes and point clouds
 ${source:Extended-Description}
 .
 This package provides command line tools to compress and decompress files
 using Draco.

Package: libdraco7
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: libdraco-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 libdraco7 (= ${binary:Version}),
Description: ${source:Synopsis} (headers)
 ${source:Extended-Description}
 .
 This package provides the development headers for the library.

## draco 1.5.6%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: draco
 Section: libs
 Priority: optional
-Maintainer: Timo Röhling <roehling@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Timo Röhling <roehling@debian.org>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
@@ -11,7 +12,7 @@
  libtinygltf-dev,
  nlohmann-json3-dev,
 Homepage: https://github.com/google/draco
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/roehling/draco.git
 Vcs-Browser: https://salsa.debian.org/roehling/draco
@@ -42,7 +43,7 @@
  This package provides command line tools to compress and decompress files
  using Draco.
 
-Package: libdraco7
+Package: libdraco8
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -57,7 +58,7 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- libdraco7 (= ${binary:Version}),
+ libdraco8 (= ${binary:Version}),
 Description: ${source:Synopsis} (headers)
  ${source:Extended-Description}
  .
